

arch/i386/kernel/irq.c: In function `is_irq_stack_ptr':
arch/i386/kernel/irq.c:199: `hardirq_stack' undeclared (first use in this function)
arch/i386/kernel/irq.c:199: (Each undeclared identifier is reported only once
arch/i386/kernel/irq.c:199: for each function it appears in.)
arch/i386/kernel/irq.c:202: `softirq_stack' undeclared (first use in this function)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/irq.c     |    2 +-
 25-akpm/include/asm-i386/hardirq.h |    8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/irq.c~fix-of-stack-dump-in-soft-hardirqs-build-fix arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~fix-of-stack-dump-in-soft-hardirqs-build-fix	2004-10-03 10:03:20.183817728 -0700
+++ 25-akpm/arch/i386/kernel/irq.c	2004-10-03 10:03:20.189816816 -0700
@@ -189,7 +189,7 @@ asmlinkage void do_softirq(void)
 }
 
 EXPORT_SYMBOL(do_softirq);
-#endif
+#endif		/* CONFIG_4KSTACKS */
 
 /*
  * Interrupt statistics:
diff -puN include/asm-i386/hardirq.h~fix-of-stack-dump-in-soft-hardirqs-build-fix include/asm-i386/hardirq.h
--- 25/include/asm-i386/hardirq.h~fix-of-stack-dump-in-soft-hardirqs-build-fix	2004-10-03 10:03:20.185817424 -0700
+++ 25-akpm/include/asm-i386/hardirq.h	2004-10-03 10:03:20.189816816 -0700
@@ -17,6 +17,14 @@ typedef struct {
 void ack_bad_irq(unsigned int irq);
 
 struct task_struct;
+
+#ifdef CONFIG_4KSTACKS
 int is_irq_stack_ptr(struct task_struct *task, void *p);
+#else
+static inline int is_irq_stack_ptr(struct task_struct *task, void *p)
+{
+	return 0;
+}
+#endif
 
 #endif /* __ASM_HARDIRQ_H */
_
